Plank.DockPreferences – plank Reference Manual

# DockPreferences

## Object Hierarchy:

## Description:

public class DockPreferences : Settings

Contains all preferences for docks.

Namespace: Plank
Package: plank

## Content:

### Constants:

- public const int MAX_ICON_SIZE
- public const int MAX_ICON_ZOOM
- public const int MIN_ICON_SIZE
- public const int MIN_ICON_ZOOM

### Properties:

- public Align Alignment { get; set; }
- public bool AutoPinning { get; set; }
- public bool CurrentWorkspaceOnly { get; set; }
- public string[] DockItems { get; set; }
- public uint HideDelay { get; set; }
- public HideType HideMode { get; set; }
- public int IconSize { get; set; }
- public Align ItemsAlignment { get; set; }
- public bool LockItems { get; set; }
- public string Monitor { get; set; }
- public int Offset { get; set; }
- public bool PinnedOnly { get; set; }
- public PositionType Position { get; set; }
- public bool PressureReveal { get; set; }
- public bool ShowDockItem { get; set; }
- public string Theme { get; set; }
- public bool TooltipsEnabled { get; set; }
- public uint UnhideDelay { get; set; }
- public bool ZoomEnabled { get; set; }
- public uint ZoomPercent { get; set; }

### Creation methods:

- public DockPreferences (string name)

### Methods:

- public void decrease_icon_size ()
  Decreases the IconSize, if it is not already at its min.
- public void increase_icon_size ()
  Increases the IconSize, if it is not already at its max.
- public bool is_horizontal_dock ()
  Return whether or not a dock is a horizontal dock.
- protected override void verify (string prop)
  Verify the property given by its name and change the property if necessary.

### Inherited Members:

All known members inherited from class Plank.Settings

- apply
- bind_flags

- delay
- reset_all

- settings
- verify

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref